module sevensegment(reset,clk,out,an0,an1,an2,an3,an0_in,an1_in,an2_in,an3_in);

input clk,reset;
output an0,an1,an2,an3;
output [6:0] out;
reg [6:0] out;
reg [10:0] count;
reg an0,an1,an2,an3;
input [3:0] an0_in,an1_in,an2_in,an3_in;
wire [6:0] out0,out1,out2,out3;

//assign an0_in = 4'b1010;
//assign an1_in = 4'b1011;
//assign an2_in = 4'b1100;
//assign an3_in = 4'b1101;

convert seven0(out0,an0_in);
convert seven1(out1,an1_in);
convert seven2(out2,an2_in);
convert seven3(out3,an3_in);
always @(count)
begin
	case (count[10:9])
	2'b00: begin
		out=out0;
		an0=0;
		an1=1;
		an2=1;
		an3=1;
		end
	2'b01: begin
		out=out1;
		an0=1;
		an1=0;
		an2=1;
		an3=1;
		end
	2'b10: begin
		out=out2;
		an0=1;
		an1=1;
		an2=0;
		an3=1;
		end
	2'b11: begin
		out=out3;
		an0=1;
		an1=1;
		an2=1;
		an3=0;
		end
	endcase
end


always @(posedge clk or posedge reset)
if(reset==1)
    count=2'b00;
else
    count=count+10'd1;

endmodule

module convert(out,in);
input [3:0] in;
output [6:0] out;
reg [6:0] out;
//out[0]=g13
//out[1]=n15
//out[2]=p15
//out[3]=r16
//out[4]=f13
//out[5]=e14
//out[6]=n16
always @(in)
case(in)
     4'b0000:out=7'b0000001;
     4'b0001:out=7'b1001111;
     4'b0010:out=7'b0010010;
     4'b0011:out=7'b0000110;
     4'b0100:out=7'b1001100;
     4'b0101:out=7'b0100100;
     4'b0110:out=7'b0100000;
     4'b0111:out=7'b0001111;
     4'b1000:out=7'b0000000;
     4'b1001:out=7'b0000100;
     4'b1010:out=7'b0001000;
     4'b1011:out=7'b1100000;    
     4'b1100:out=7'b0110001;
     4'b1101:out=7'b1000010;
     4'b1110:out=7'b0110000;
     4'b1111:out=7'b0111000;

endcase
endmodule
